This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 829269 - Notification daemon ignore timeout settings in notify-send
Notification daemon ignore timeout settings in notify-send
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: notification-daemon (Show other bugs)
18
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Dan Mashal
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-06 07:03 EDT by klement.sekera
Modified: 2014-03-13 05:58 EDT (History)
4 users (show)

See Also:
Fixed In Version: notification-daemon-0.7.6-2.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 17:45:59 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
proposed patch to implement the notification bubble timeout. (1.92 KB, patch)
2013-05-26 18:25 EDT, Fabrice Bellet
no flags Details | Diff

  None (edit)
Description klement.sekera 2012-06-06 07:03:58 EDT
do a notify-send with -t 1000 option, the notification is expected to go away after 1 second

currently, the notifications stays in the notification bar forever and I have to manually click on each notification to go away
Comment 2 Fedora Admin XMLRPC Client 2013-03-06 07:25:04 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Fabrice Bellet 2013-05-26 18:25:09 EDT
Created attachment 753411 [details]
proposed patch to implement the notification bubble timeout.
Comment 4 Dan Mashal 2013-05-27 15:52:57 EDT
I cannot reproduce this on MATE 1.6 / F19 

Maybe newer version of notification with any of the notification themes. 

Maybe newer version of notification-daemon needs to be pushed to f17
Comment 5 Fedora Update System 2013-05-27 16:15:46 EDT
notification-daemon-0.7.6-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/notification-daemon-0.7.6-2.fc17
Comment 6 Fabrice Bellet 2013-05-28 03:43:17 EDT
I think notifications are handled by mate-notification-daemon in MATE, not by notification-daemon, so this bug probably doesn't impact MATE users.
Comment 7 Fedora Update System 2013-05-28 20:58:55 EDT
Package notification-daemon-0.7.6-2.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing notification-daemon-0.7.6-2.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-9510/notification-daemon-0.7.6-2.fc17
then log in and leave karma (feedback).
Comment 8 Fedora Update System 2013-06-16 01:30:14 EDT
notification-daemon-0.7.6-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fabrice Bellet 2013-06-17 04:03:23 EDT
Hi!

I reopen this open, as it is still there in Fedora 18.
Comment 10 Fedora End Of Life 2013-12-21 10:03:08 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 11 Fedora End Of Life 2014-02-05 17:45:59 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 12 Unknown User 2014-03-13 05:58:21 EDT
https://bugzilla.redhat.com/show_bug.cgi?id=781906

Note You need to log in before you can comment on or make changes to this bug.